LILO(8)

NAZWA
lilo - instalacja boot loadera

SKŁADNIA
Podstawowe zastosowanie:

/sbin/lilo - instaluj boot loadera

Dodatkowe zastosowania:

/sbin/lilo -q - wyświetl mapę
/sbin/lilo -T - powiedz więcej o podanym zagadnieniu
/sbin/lilo -R - ustaw domyślną linię poleceń przy starcie systemu
/sbin/lilo -A - aktywuj/pokaż aktywną partycję
/sbin/lilo -E - edytuj nagłówek lub aktualizuj plik mapy bitowej
/sbin/lilo -M - zapisz Master Boot Record na urządzeniu
/sbin/lilo -I - wyświetl ścieżkę do bieżącego jądra
/sbin/lilo {-u|-U} - deinstalacja lilo

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

lilo instaluje boot loadera który zostanie uaktywniony przy następnym uruchomieniu komputera. lilo posiada wiele opcji.

-A główne-urządzenie [ N ]
    Wyświetl aktywną partycję na urządzeniu główne-urządzenie; np. "/dev/hda". Gdy podany zostanie numer od 1 do 4, to na głównym urządzeniu aktywowana będzie podana partycja.

-b bootdev
    Ustala urządzenie startowe (boot device); przykładowo, gdzie boot loader będzie zainstalowany. "-b /dev/hda" ustala Master Boot Record; "-b /dev/sdb5" ustala pierwszą rozszerzoną partycję na drugim dysku SCSI.

-B plik-mapy-bitowej
    Ustala plik mapy bitowej z graficznym ekranem wykorzystywanym w czasie uruchamiania systemu.

-c  Włączenie kompresji mapy. Ta opcja połączy żądania odczytu z sąsiednich sektorów. Przyspiesza to startowanie (szczególnie z dyskietki).

-C plik-konfiguracyjny
    lilo odczytuje informacje o plikach do mapowania z pliku konfiguracyjnego, domyślnie /etc/lilo.conf. Ta opcja wyznacza inny plik konfiguracyjny.

-d opóźnienie
    Ustala opóźnienie w dziesiętnych częściach sekundy (20 = 2 sek.) przed automatycznym uruchomieniem pierwszego obrazu. To daje czas na przerwanie automatycznego procesu startu klawiszem Shift, Alt, Ctrl, ScrollLock lub CapsLock. Po takim przerwaniu wyświetlona zostanie zachęta 'boot:'. Ta flaga zostanie nadpisana, gdy w pliku konfiguracyjnym znajduje się prompt.

-D etykieta
    Użycie jądra o podanej etykiecie, zamiast pierwszego na liście, jako domyślnego jądra do wystartowania.

-E nazwa_pliku.ext
    Gdy .ext to .bmp, zakłada się, że plik ten jest plikiem graficznym do użycia w konfiguracyjnej dyrektywie "bitmap=". Uruchom interaktywny edytor aby utworzyć lub zmienić kolor/informacje o położeniu nagłówku LILO pliku z mapą bitową. Gdy .ext to .dat, zakłada się, że plik ten jest plikiem konfiguracyjnym z podanymi parametrami graficznej mapy bitowej, które zamieniane są na nagłówek LILO w pliku z mapą bitową o takiej samej nazwie.

-f tablica-dysku
    Ustala plik z parametrami geometrii dysku (domyślnym jest /etc/disktab).

-F  Unieważnia sprawdzanie sektora startowego dla systemów plików (np. swap, XFS, ...), które mogą być zniszczone przez instalację sektora startowego LILO na pierwszym sektorze partycji. Te systemy plików używają pierwszego sektora jako superbloku. Porównaj z "-P ignore", które obchodzi sprawdzenie danej partycji.

-g  Generuje adresy cylinder/głowica/sektor (geometryczny) dysku. Jest to ograniczone do 1023 cylindrów. Wymusza kompatybilność ze starszymji wersjami LILO.

-i boot-loader
    Wyznaczenie pliku używanego jako nowy boot loader (domyślnym jest /boot/boot.b).

-I etykieta
    Etykietę aktualnego jądra po uruchomieniu można odnaleźć w zmiennej środowiskowej BOOT_IMAGE lub w pseudo-pliku `/proc/cmdline'. Ta opcja wyświetli odpowiadającą etykiecie nazwę pliku jądra, pliku tablicy klawiszy (keytable) lub któregokolwiek początkowego. pliku z ramdysku (opcja "i", "k" lub "r").

-l  Generuje 24-bitowe liniowe adresy sektorów, zamiast adresów cylindrów/głowic/sektorów.

-L  Generuje 32-bitowe Logiczne Adresy Bloków (Logical Block Addresses), zamiast adresów cylindrów/głowic/sektorów. Pozwala to na dostęp do wszystkich partycji na dyskach mających więcej niż 1024 cylindry.

-m plik-mapy
    Użycie podanego pliku mapy zamiast domyślnego.

-M główne-urządzenie [ plik-mbr ]
    Instaluje Master Boot Record na urządzeniu podanym jako główne-urządzenie. Nowy MBR domyślnie kopiowany jest z "mbr.b", które wbudowane jest w /sbin/lilo (wersja 22.3), chyba że podana jest inna nazwa pliku jako drugi argument. Podstawowa tablica partycji na główne-urządzenie pozostaje w nienaruszonym stanie. Gdy numer seryjny urządzenia nie jest obecny, generowany jest nowy i zapisywany w MBR.

-p  Wymaga interaktywnego wpisania wszystkich haseł podanych w pliku konfiguracyjnym jako "".

-P {fix|ignore}
    Naprawienie lub zignorowanie błędnych tablic partycji, tzn. tablicy partycji z nie pasującymi adresami sektora/głowicy/cylindra. Zawsze najpierw spróbuj użyć -P ignore gdyż -P fix nadpisze tablicę partycji, być może niszcząc wszystkie partycje na dysku. -P ignore jest używane także po to aby obejść sprawdzanie tablicy partycji w poszukiwaniu typów partycji, które mogą nie pozwalać na instalację sektora startowego LILO. Porównaj z opcją "-F", która unieważnia sprawdzanie aktualnego sektora startowego.

-q  Wyświetla aktualnie mapowane pliki. lilo tworzy plik, domyślnie /boot/map, zawierający nazwę i lokalizację jąder startowych. Ta opcja wyświetli te nazwy. Używaj wraz z opcją -v aby uzyskać bardziej szczegółową informację na temat zainstalowanych boot loaderów.

-r główny-katalog
    Wykonaj chroot do podanego katalogu przed podjęciem jakiegokolwiek działania. Nowy katalog główny musi zawierać katalog /dev i może potrzebować katalogu /boot. Może być także potrzebny plik /etc/lilo.conf. Wykorzystywane przez skrypt powłoki mkbootdisk do tworzenia dyskietki startowej.

-R linia poleceń
    Ta opcja zmienia domyślną linię poleceń dla boot loadera podczas jego następnego uruchomienia. Potem linia ta zostanie usunięta, jest ona tylko jednorazowa. Na ogół jest to wykorzystywane w skryptach zamykania systemu, zaraz przed wywołaniem `shutdown -r'. Użyte bez żadnego argumentu anuluje zablokowaną lub przywróci linię komend.

-s plik
    Gdy lilo nadpisuje boot sektor, zachowuje jego starą zawartość w pliku, domyślnie jest to /boot/boot.NNNN gdzie NNNN zależy od urządzenia. Ta opcja wyznacza inny plik dla boot sektora (lub, razem z opcją -u, wyznacza skąd odtworzyć boot sektor).

-S plik
    Normalnie lilo nie nadpisze istniejącego zapisanego pliku. Ta opcja mówi, że nadpisywanie jest dozwolone.

-t  Test. Nic nie jest zapisywane do boot sektora ani do pliku mapy. Użyte razem z opcją -v wyświetla co lilo ma zamiar robić.

-T opcja
    Wypisuje informacje systemową, z której część pochodzi z biosu. Jest to wygodniejsze od uruchamiania diagnostycznej dyskietki LILO. opcja może być każdą z podanych:

       help  - wypisuje listę dostępnych diagnostyk
       ChRul - wypisuje typy partycji podlegające Zasadom-Zmian
               (Change-Rules)
       EBDA  - wypisuje informacje o Rozszerzonum Obszarze Danych
               BIOSU (Extended BIOS Data Area)
       geom=<dysk> wypisuje geometrię dysku np. geom=0x80
       geom  - wypisuje geometrię dla wszystkich dysków
       table=<dysk> wypisuje podstawową tablicę partycji;
               np. table=/dev/sda
       video - wypisuje dostępne tryby graficzne boot loadera

-u [nazwa-urządzenia]
    Deinstalacja lilo, poprzez powrotne skopiowanie zapisanego wcześniej boot sektora. Wraz z tą opcją użyte mogą być parametry '-s' i '-C'. nazwa-urządzenia jest opcjonalna. Sprawdzany jest czas i data pliku.

-U [nazwa-urządzenia]
    Tak jak powyżej, ale bez sprawdzenia czasu i daty.

-v  Zwiększenie poziomu komunikatów. Podanie od jednej do pięciu opcji -v sprawi, że lilo wyświetli więcej komunikatów. Możesz użyć także -v n (n=1..5) aby ustawić poziom komunikatów na 'n'.

-V  Wyświetla numer wersji.

-w  Wyłącza ostrzeżenia.

-x opcja
    Tylko dla instalacji RAID. Opcja może być każdym ze słów kluczowych none, auto, mbr-only, lub oddzieloną przecinkami listą dodatkowych urządzeń startowych (lista nie może zawierać spacji).

-X  Zarezerwowane do wewnętrznego użycia przez LILO. Może dawać różne wyniki dla różnych wersji LILO. Linia zaczynająca się od "CFLAGS=" zawiera opcje kompilatora użyte do utworzenia tej wersji LILO.

-z  Gdy użyte z opcją -M, czyści numer seryjny urządzenia. Przeważnie opcja ta używana jest w następującej sekwencji do wygenerowania nowego numeru seryjnego urządzenia:
         lilo -z -M /dev/hda
         lilo -M /dev/hda

Powyższe opcje linii poleceń odpowiadają podanym poniżej słowom kluczowym w pliku konfiguracyjnym.

    -b bootdev | boot=bootdev
    -B plik.bmp | bitmap=plik.bmp
    -c | compact
    -d dsek | delay=dsek
    -D etykieta | default=etykieta
    -i boot-loader | install=boot-loader
    -f plik | disktab=plik
    -g | geometric
    -l | linear
    -L | lba32
    -m plik-mapy | map=plik-mapy
    -P fix | fix-table
    -P ignore | ignore-table
    -s plik | backup=plik
    -S plik | force-backup=plik
    -v [N] | verbose=N
    -w | nowarn
    -x opcja | raid-extra-boot=opcja

OPCJE ŁADOWANIA SYSTEMU
Opcje podane tutaj mogą być podane z linii komend gdy ładowany jest obraz jądra. Opcje te są przetwarzane przez LILO i usuwane z linii komend przekazywanej do jądra, chyba że zaznaczono inaczej.

lock
    Blokuje linię komend, tak jakby 'lock' był podany w pliku 'lilo.conf'.

mem=###[,K,M]
    Ustala maksymalną ilość pamięci w systemie w bajtach, kilobajtach lub megabajtach. Ta opcja nie jest usuwana z linii komend i jest zawsze przekazywana do jądra.

nobd
    Wyłącza pobieranie danych z BIOSu. Opcja ta jest zarezerwowana do użytku z BIOSami nie kompatybilnymi z IBM, które zawieszają się na liniach:

         Loading...............
         BIOS data check

vga=[ASK,EXT,EXTENDED,NORMAL]
    Pozwala unieważnić domyślny tryb wideo podczas startu jądra.

BŁĘDY ŁADOWANIA SYSTEMU
Proces ładowania systemu dzieli się na dwa etapy. Loader pierwszego stopnia jest pojedynczym sektorem i ładowany jest przez BIOS lub przez loader do MBR. Ładuje on wielo-sektorowy loader drugiego stopnia, lecz jest bardzo ograniczonej wielkości. Gdy loader pierwszego stopnia przejmuje kontrolę, wypisuje literę "L"; gdy jest gotowy przekazać kontrolę loaderowi drugiego stopnia wypisuje literę "I". Gdy wystąpi jakikolwiek błąd, np. błąd odczytu z dysku, wypisany będzie szesnastkowy kod błędu i operacja zostanie powtórzona. Wszystkie szesnastkowe kody błędów są wartościami zwracanymi przez BIOS, z wyjątkiem wartości 40, 99 i 9A, które są generowane przez lilo. A oto częściowa lista kodów błędów:

    00 brak błędu
    01 błędna komenda dyskowa (disc command)
    0A zła flaga sektora
    0B zła flaga ścieżki (track flag)
    20 błąd kontrolera
    40 błąd szukania (seek failure) (BIOS)
    40 cylinder>1023 (LILO)
    99 błędny sektor indeksu drugiego stopnia (LILO)
    9A brak sygnatury loadera drugiego stopnia (LILO)
    AA dysk nie jest gotowy
    FF błąd operacji odczytu elektrycznego (sense operation)

Kod błędu nr 40 jest generowany przez BIOS lub przez LILO podczas konwersji liniowego (24-bitowego) adresu dyskowego na adres geometryczny (C:H:S). Błąd ten może być wywołany także na starszych systemach, które nie obsługują adresowania lba32 (32-bitowego). Błędy 99 oraz 9A najczęściej oznaczają, że nie da się odczytać pliku mapy (-m lub map=), np. gdy LILO nie zostało uruchomione po jakiejś zmianie systemowej, lub jest nieścisłość pomiędzy tym, czego użyło LILO (lilo -v3 aby wyświetlić), a tym co jest aktualnie używane przez BIOS (do zdiagnozowania tego problemu może być potrzebna jedna z dyskietek diagnostycznych, dostępnych w źródłowej dystrybucji). Gdy loader drugiego stopnia otrzyma kontrolę od loadera pierwszego stopnia, wypisuje literę "L", a po zainicjowaniu się, włączając weryfikację "Tablicy Deskryptorów" - listy jąder/innych do załadowania - wypisze literę "O", formując całe słowo "LILO" pisane wielkimi literami. Wszystkie błędy loadera drugiego stopnia są wiadomościami w języku angielskim i próbują wskazać, mniej lub bardziej udanie, istotę błędu.

NIEKOMPATYBILNOŚCI
Znanym problemem lilo jest problem z reiserfs wprowadzonym w jądrach 2.2.x, chyba że system jest montowany z opcją 'notail'. Ta niekompatybilność zastała rozwiązana w reiserfs 3.6.18 i w lilo 21.6.

Zaczynając od wersji 22.0, instalacje RAID zapisują boot record na partycji RAID. Warunkowe zapisywanie MBRu może pomóc w ustawieniu RAIDa jako ładujący (bootable) podczas odzyskiwania, lecz wszystkie domyślne działania mogą zostać unieważnione. Działanie podobne do poprzedniej wersji jest osiągnięte dzięki opcji `-x mbr-only'.

BŁĘDY
Opcje pliku konfiguracyjnego `backup' i `force-backup' nie są jeszcze dobrze zaimplementowane dla instalacji RAID. Dobrze wydaje się działać domyślny mechanizm kopii zapasowych boot rekordu, i on powinien być używany.

ZOBACZ TAKŻE
fdisk(8), lilo.conf(5), mkrescue(8), mkinitrd(8).

Dystrybucja lilo posiada bardzo rozbudowaną dokumentację. (lilo 21)

AUTORZY
Werner Almesberger <almesber@lrc.epfl.ch> (wersje od 0 do 21)
John Coffman <johninsd@san.rr.com> (21.2 do teraz)

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 8 lilo

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.